Subject: Bug#4104: ghostview does not obey %%BoundingBox: and other DSC comments properly

From: Yves Arrouye <[email-masked]>
Date: Sun, 11 Aug 1996 18:12:50 +0200

Package: ghostview
Version: 1.5-6

Ghostview should read the bounding box of a document in any case,
regardless of wether it is an EPSF file or not. If no such box is
provided, then it can default to a given media.
  It should also temporarily change the media when the bounding box of
a page is not the same as the default bounding box.

In addition, ghostview should look at the %%DocumentMedia comment to
get the page size.

It should certainly, for the user's pleasure, parse %%BeginPaperSize
comments that are used sometimes, but also recognize

	%%BeginFeature: *PageSize <SomePageSize>

and

	%%IncludeFeature: *PageSize <SomePageSize>

which ask for a given page size.

I think it would be nice too to have a 'Actual' media in the list that
is bound to the bbox of the document currently viewed, so that:

  - if I preview a document with a specific bbox, I don't think it is
    letter as indicated by the Media menu;

  - if I force A4 to see how it would look, I can go back to the
    normal size without having to reread the document.

Yves.